<script>

jQuery(document).ready(function($){
    $('.dmega li').hover(
         function(){ $(this).prev().addClass('dmega-radius') },
         function(){ $(this).prev().removeClass('dmega-radius') }
    )
});
jQuery(document).ready(function($){
    $('.dmega').hover(
         function(){ $(this).addClass('test-grey') },
         function(){ $(this).removeClass('test-grey') }
    )
});

</script>

<div class="menu-header header-two-menu-2 test" id="menucolornew">
<?php wp_nav_menu( array( 'theme_location' => 'header-menu' ) ); ?> 

</div>